/****************************************************************************
** Form interface generated from reading ui file './komparatorwidgetbase.ui'
**
** Created: Mo Mai 15 16:38:42 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.4   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef KOMPARATORWIDGETBASE_H
#define KOMPARATORWIDGETBASE_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qwidget.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class KDateCombo;
class QTabWidget;
class QGroupBox;
class QCheckBox;
class QLabel;
class KIntSpinBox;
class QButtonGroup;
class QRadioButton;
class KLineEdit;
class KComboBox;
class KIntNumInput;
class KPushButton;
class KURLRequester;
class KTabWidget;
class QSplitter;
class KListView;
class QListViewItem;
class QFrame;
class KLed;
class KProgress;

class KomparatorWidgetBase : public QWidget
{
    Q_OBJECT

public:
    KomparatorWidgetBase( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~KomparatorWidgetBase();

    QTabWidget* settings_TabWidget;
    QWidget* tab1;
    QGroupBox* searchOptions_GroupBox;
    QCheckBox* includeSubfolders_CheckBox;
    QCheckBox* useFilesIndex_CheckBox;
    QCheckBox* caseSensitiveSearch_CheckBox;
    QCheckBox* findEmptyFolders_CheckBox;
    QCheckBox* followSoftLinks_CheckBox;
    QGroupBox* duplicateOptions_GroupBox;
    QCheckBox* ignoreEmptyFiles_CheckBox;
    QCheckBox* size_CheckBox;
    QCheckBox* calculateChecksum_CheckBox;
    QCheckBox* binaryComparison_CheckBox;
    QLabel* filesSmaller_TextLabel;
    KIntSpinBox* binaryComparison_KIntSpinBox;
    QLabel* MB_TextLabel;
    QWidget* tab2;
    QButtonGroup* modified_ButtonGroup;
    QRadioButton* modifiedNoRestriction_RadioButton;
    QLabel* size_TextLabel;
    QLabel* regex_TextLabel;
    KLineEdit* regex_KLineEdit;
    KComboBox* size_KComboBox;
    KIntNumInput* bytes_KIntNumInput;
    KComboBox* bytes_KComboBox;
    QLabel* modifiedOrCreated_TextLabel;
    QRadioButton* modifiedBetween_RadioButton;
    KDateCombo* modifiedFrom_KDateCombo;
    QLabel* and_TextLabel;
    KDateCombo* modifiedTo_KDateCombo;
    QRadioButton* modifiedLastTime_RadioButton;
    KIntNumInput* modifiedLastTime_KIntNumInput;
    KComboBox* modifiedLastTime_KComboBox;
    QGroupBox* preset_GroupBox;
    KComboBox* preset_KComboBox;
    KPushButton* removePreset_KPushButton;
    KPushButton* addPreset_KPushButton;
    KPushButton* updatePreset_KPushButton;
    KPushButton* search_KPushButton;
    QLabel* url1_TextLabel;
    KURLRequester* url1_KURLRequester;
    QLabel* url2_TextLabel;
    KURLRequester* url2_KURLRequester;
    KTabWidget* main_TabWidget;
    QWidget* duplicateFiles_tab;
    QSplitter* duplicates_Splitter;
    KListView* duplicates1_KListView;
    KListView* duplicates2_KListView;
    QButtonGroup* duplicatesReference_ButtonGroup;
    QRadioButton* duplicatesReference1_RadioButton;
    QRadioButton* duplicatesReference2_RadioButton;
    KPushButton* duplicatesTrash_KPushButton;
    KPushButton* duplicatesDelete_KPushButton;
    QWidget* missingFiles_tab;
    KListView* missing2_KListView;
    KListView* missing1_KListView;
    KPushButton* copyMissing1To2_KPushButton;
    KPushButton* moveMissing1To2_KPushButton;
    KPushButton* removeMissing1_KPushButton;
    QFrame* missing_Line;
    KPushButton* copyMissing2To1_KPushButton;
    KPushButton* moveMissing2To1_KPushButton;
    KPushButton* removeMissing2_KPushButton;
    QWidget* newerFiles_tab;
    KListView* newer2_KListView;
    KListView* newer1_KListView;
    KPushButton* copyNewer1To2_KPushButton;
    KPushButton* moveNewer1To2_KPushButton;
    KPushButton* removeNewer1_KPushButton;
    QFrame* newer_Line;
    KPushButton* copyNewer2To1_KPushButton;
    KPushButton* moveNewer2To1_KPushButton;
    KPushButton* removeNewer2_KPushButton;
    QFrame* bottom_Frame;
    KLed* search2_KLed;
    KLed* search1_KLed;
    KLed* search3_KLed;
    KLineEdit* status_KLineEdit;
    KProgress* main_KProgress;
    KPushButton* about_KPushButton;
    KPushButton* whatsThis_KPushButton;
    KPushButton* help_KPushButton;

public slots:
    virtual void slotContextMenu(KListView *list_view, QListViewItem *item, const QPoint &p);
    virtual void slotSearch();
    virtual void slotSizeTypeChanged(int i);
    virtual void slotReferenceLeft( bool is_ref );
    virtual void slotCopyMissingL2R();
    virtual void slotCopyMissingR2L();
    virtual void slotCopyNewerL2R();
    virtual void slotCopyNewerR2L();
    virtual void slotRemoveSelectionMissing1();
    virtual void slotRemoveSelectionMissing2();
    virtual void slotRemoveSelectionNewer1();
    virtual void slotRemoveSelectionNewer2();
    virtual void slotDeleteDuplicates();
    virtual void slotTrashDuplicates();
    virtual void slotKListViewDropped( KListView *list_view, QDropEvent *, QListViewItem * );
    virtual void slotAbout();
    virtual void aboutKDE();
    virtual void slotMD5ChecksumEnabled( bool );
    virtual void slotExecute( QListViewItem *item );
    virtual void slotMoveMissingL2R();
    virtual void slotMoveMissingR2L();
    virtual void slotMoveNewerL2R();
    virtual void slotMoveNewerR2L();
    virtual void slotSizeEnabled( bool e );
    virtual void slotPresetSelected(int);
    virtual void slotAddPreset();
    virtual void slotRemovePreset();
    virtual void slotUpdatePreset();
    virtual void slotWhatsThis();

protected:
    QGridLayout* komparatorwidgetbaseLayout;
    QVBoxLayout* main_Layout;
    QHBoxLayout* top_Layout;
    QGridLayout* tab1Layout;
    QGridLayout* searchOptions_GroupBoxLayout;
    QGridLayout* duplicateOptions_GroupBoxLayout;
    QHBoxLayout* filesSmaller_Layout;
    QSpacerItem* filesSmaller_Spacer;
    QGridLayout* tab2Layout;
    QGridLayout* modified_ButtonGroupLayout;
    QSpacerItem* modifiedOrCreated_Spacer;
    QHBoxLayout* between_Layout;
    QHBoxLayout* during_Layout;
    QVBoxLayout* presetSearch_Layout;
    QSpacerItem* top1_Spacer;
    QSpacerItem* top2_Spacer;
    QSpacerItem* top3_Spacer;
    QGridLayout* preset_GroupBoxLayout;
    QSpacerItem* preset2_Spacer;
    QSpacerItem* preset3_Spacer;
    QSpacerItem* preset1_Spacer;
    QHBoxLayout* search_Layout;
    QSpacerItem* search1_Spacer;
    QSpacerItem* search2_Spacer;
    QGridLayout* duplicateFiles_tabLayout;
    QHBoxLayout* duplicates_Layout;
    QVBoxLayout* reference_Layout;
    QSpacerItem* reference1_Spacer;
    QSpacerItem* reference2_Spacer;
    QGridLayout* duplicatesReference_ButtonGroupLayout;
    QHBoxLayout* trash_Layout;
    QSpacerItem* trash_Spacer;
    QGridLayout* missingFiles_tabLayout;
    QVBoxLayout* missing_Layout;
    QSpacerItem* missing1_Spacer;
    QSpacerItem* missing2_Spacer;
    QGridLayout* newerFiles_tabLayout;
    QVBoxLayout* newer_Layout;
    QSpacerItem* newer1_Spacer;
    QSpacerItem* newer2_Spacer;
    QHBoxLayout* bottom_FrameLayout;
    QSpacerItem* led_Spacer;
    QSpacerItem* about_Spacer;
    QGridLayout* led_Layout;

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;

};

#endif // KOMPARATORWIDGETBASE_H
